1. 03 Mar, 2015 1 commit
  2. 13 Feb, 2015 1 commit
  3. 12 Feb, 2015 1 commit
  4. 09 Feb, 2015 2 commits
  5. 04 Feb, 2015 1 commit
    • Orgad Shaneh's avatar
      Debugger: Remove unneeded qualifications · 4e8e75d8
      Orgad Shaneh authored
      
      
      Mostly done using the following ruby script:
      Dir.glob('**/*.cpp').each { |file|
        next if file =~ %r{src/shared/qbs|/qmljs/}
        s = File.read(file)
        s.scan(/^using namespace (.*);$/) {
          ns = $1
          t = s.gsub(/^(.*)\b#{ns}::((?!Const)[A-Z])/) { |m|
            before = $1
            char = $2
            if before =~ /"|\/\/|\\|using|SIGNAL|SLOT|Q_/
              m
            else
              before + char
            end
          }
          if t != s
            puts file
            File.open(file, 'w').write(t)
          end
        }
      }
      
      Change-Id: I1aa1a2b6ccbafeb1a8f3053fffa39b3f96992591
      Reviewed-by: default avatarhjk <hjk@theqtcompany.com>
      4e8e75d8
  6. 29 Jan, 2015 8 commits
  7. 21 Jan, 2015 1 commit
  8. 16 Jan, 2015 1 commit
  9. 04 Dec, 2014 1 commit
  10. 14 Nov, 2014 1 commit
  11. 07 Nov, 2014 1 commit
  12. 23 Oct, 2014 1 commit
  13. 14 Oct, 2014 1 commit
    • hjk's avatar
      VariableChooser: Rework · 3119d93b
      hjk authored
      
      
      Allow multiple expanders to be registered for lineedits, e.g. a
      local and the global ones, and actually show them.
      
      Use a tree view in the chooser for somewhat more structured display.
      
      Change-Id: I769f92144e5249f45e54381de52aa6973eb20118
      Reviewed-by: default avatarTobias Hunger <tobias.hunger@theqtcompany.com>
      3119d93b
  14. 09 Oct, 2014 1 commit
  15. 29 Sep, 2014 1 commit
  16. 04 Sep, 2014 1 commit
  17. 29 Aug, 2014 1 commit
    • Christian Kandeler's avatar
      Do not use deprecated Qt functionality. · 1d5091e4
      Christian Kandeler authored
      
      
      Replace all* remaining deprecated Qt 4 functions with
      their Qt 5 counterparts. This means we no longer need to
      define the QT_DISABLE_DEPRECATED_BEFORE macro.
      This patch is relatively small because most source-compatible
      changes of this kind have been done before.
      
      * The one exception is the QmlDesigner, which uses QWeakPointer
      in a deprecated way all over the place.
      
      Change-Id: Id4b839c6685f3b5bdf2b89137f95231758ec53c7
      Reviewed-by: default avatarEike Ziller <eike.ziller@digia.com>
      Reviewed-by: default avatarhjk <hjk121@nokiamail.com>
      1d5091e4
  18. 28 Jul, 2014 1 commit
  19. 11 Jul, 2014 1 commit
  20. 08 Jul, 2014 1 commit
  21. 03 Jul, 2014 2 commits
  22. 27 Jun, 2014 1 commit
  23. 19 Jun, 2014 1 commit
  24. 03 Jun, 2014 2 commits
  25. 28 May, 2014 1 commit
  26. 23 May, 2014 1 commit
  27. 22 May, 2014 1 commit
  28. 16 May, 2014 1 commit
  29. 29 Apr, 2014 1 commit
  30. 28 Feb, 2014 1 commit